=== src/shared/Makefile ===
# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for shared version of BLT library
# ------------------------------------------------------------------------

SHLIB_SUFFIX =	.so
version =	24
lib_so =	libBLT$(version)$(SHLIB_SUFFIX)

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

CC =		gcc
CFLAGS =	-O6 
EXTRA_CFLAGS =	-Wall -fPIC
DEFINES =	
DEF_BLTINIT =	-DBLT_LIBRARY=\"$(scriptdir)\"
SHLIB_LD_FLAGS = -rdynamic -shared -Wl,-E -Wl,-soname,libBLT24.so -Wl,-rpath,/usr/X11R6/lib 
SHLIB_LD_LIBS =  -ltk8.2 -ltcl8.2 -L/usr/X11R6/lib -lX11 -lm -lnsl  
SHLIB_LD =	gcc
LDFLAGS =	-Wl,-rpath,/usr/X11R6/lib

prefix =	/usr
exec_prefix =	/usr
libdir =	$(exec_prefix)/lib
bindir =	$(exec_prefix)/bin
srcdir =	./..

instdirs =	$(exec_prefix) $(libdir) 

scriptdir =	/usr/lib/blt2.4

LIBRARIES =	$(lib_so)  -ltk8.2 -ltcl8.2 -L/usr/X11R6/lib -lX11 -lm -lnsl  -ldl

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

#N_OBJS =	bltTed.o
V3_OBJS =	bltTri.o bltGrMt.o 
TREE_OBJS =	bltTree.o bltHiertable.o bltHtCmd.o bltHtText.o
TK_OBJS =	tkButton.o tkFrame.o tkScrollbar.o 

OBJS =		bltGraph.o bltGrAxis.o bltGrBar.o bltGrElem.o \
		bltGrGrid.o bltGrHairs.o bltGrLegd.o bltGrLine.o \
		bltGrMarker.o bltGrMisc.o bltGrPen.o bltGrPs.o \
	       	bltBeep.o bltBgexec.o bltBitmap.o bltBusy.o \
		bltContainer.o bltCutbuffer.o bltDebug.o \
		bltDnd.o bltUnixDnd.o \
		bltHierbox.o bltHtext.o bltSpline.o bltTable.o bltTabset.o \
		bltVector.o bltWatch.o bltWinop.o \
		bltCanvEps.o bltInit.o bltBind.o bltColor.o \
		bltConfig.o bltImage.o bltList.o bltChain.o \
		bltNsUtil.o bltParse.o bltPs.o bltText.o bltTile.o \
		bltUnixPipe.o bltUtil.o bltWindow.o \
		$(TREE_OBJS) $(TK_OBJS) $(N_OBJS) 

INCLUDES =	-I.. -I$(srcdir) -I$(srcdir)/..  -I/usr/X11R6/include
CC_SWITCHES =	$(EXTRA_CFLAGS) $(CFLAGS) $(DEFINES) $(INCLUDES)
INSTALL =	/usr/bin/install -c
INSTALL_DATA =	${INSTALL} -m 644
SHELL =		/bin/sh
RM =		rm -f
LN_S =		ln -s
demo =		bltwish$(version)

all: build_lib build_demo

build_demo: $(demo)

$(demo): $(lib_so)
	$(RM) $(demo)
	$(CC) $(CC_SWITCHES) $(LDFLAGS) \
		$(srcdir)/bltUnixMain.c -o $(demo) $(LIBRARIES) 

build_lib: $(lib_so)

$(lib_so): $(OBJS)
	$(RM) $@
	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ $(OBJS) $(SHLIB_LD_LIBS)

install: install_dirs install_lib install_demo

install_demo: $(demo)
	$(INSTALL) -m 0755 bltwish$(version) $(bindir)

install_lib: $(lib_so)
	$(INSTALL) -m 0755 $(lib_so) $(libdir)

install_dirs:
	@for i in $(instdirs) ; do \
	    if test ! -d $$i ; then \
		echo " mkdir $$i" ; \
		mkdir $$i ; \
	    fi ; \
        done

clean:
	$(RM) $(OBJS) $(lib_so) $(demo) *pure* .pure* 

distclean: clean
	$(RM) $(srcdir)/*.bak $(srcdir)/*\~ $(srcdir)/"#"* 

# ------------------------------------------------------------------------
# 	in lieu of viewpath-ing...
#
bltBeep.o: 	$(srcdir)/bltBeep.c 
	$(CC) -c $(CC_SWITCHES) $?
bltBgexec.o: 	$(srcdir)/bltBgexec.c
	$(CC) -c $(CC_SWITCHES) $?
bltBind.o: 	$(srcdir)/bltBind.c
	$(CC) -c $(CC_SWITCHES) $?
bltBitmap.o: 	$(srcdir)/bltBitmap.c
	$(CC) -c $(CC_SWITCHES) $?
bltBusy.o: 	$(srcdir)/bltBusy.c
	$(CC) -c $(CC_SWITCHES) $?
bltCanvEps.o: 	$(srcdir)/bltCanvEps.c
	$(CC) -c $(CC_SWITCHES) $?
bltColor.o: 	$(srcdir)/bltColor.c       
	$(CC) -c $(CC_SWITCHES) $?
bltConfig.o: 	$(srcdir)/bltConfig.c       
	$(CC) -c $(CC_SWITCHES) $?
bltContainer.o: $(srcdir)/bltContainer.c
	$(CC) -c $(CC_SWITCHES) $?
bltCutbuffer.o: $(srcdir)/bltCutbuffer.c
	$(CC) -c $(CC_SWITCHES) $?
bltDebug.o: $(srcdir)/bltDebug.c
	$(CC) -c $(CC_SWITCHES) $?
bltDnd.o: $(srcdir)/bltDnd.c
	$(CC) -c $(CC_SWITCHES) $?
bltUnixDnd.o: $(srcdir)/bltUnixDnd.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrAxis.o:	$(srcdir)/bltGrAxis.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrBar.o:	$(srcdir)/bltGrBar.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrElem.o:	$(srcdir)/bltGrElem.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrGrid.o:	$(srcdir)/bltGrGrid.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrHairs.o:	$(srcdir)/bltGrHairs.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrLegd.o: 	$(srcdir)/bltGrLegd.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrLine.o:	$(srcdir)/bltGrLine.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMisc.o: 	$(srcdir)/bltGrMisc.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrPen.o: 	$(srcdir)/bltGrPen.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrPs.o: 	$(srcdir)/bltGrPs.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMarker.o: 	$(srcdir)/bltGrMarker.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrMt.o: 	$(srcdir)/bltGrMt.c
	$(CC) -c $(CC_SWITCHES) $?
bltGrCont.o: 	$(srcdir)/bltGrCont.c
	$(CC) -c $(CC_SWITCHES) $?
bltGraph.o:	$(srcdir)/bltGraph.c
	$(CC) -c $(CC_SWITCHES) $?
bltHierbox.o: 	$(srcdir)/bltHierbox.c
	$(CC) -c $(CC_SWITCHES) $?
bltHiertable.o: $(srcdir)/bltHiertable.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtCmd.o: $(srcdir)/bltHtCmd.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtText.o: $(srcdir)/bltHtText.c
	$(CC) -c $(CC_SWITCHES) $?
bltHtext.o: 	$(srcdir)/bltHtext.c
	$(CC) -c $(CC_SWITCHES) $?
bltImage.o: 	$(srcdir)/bltImage.c       
	$(CC) -c $(CC_SWITCHES) $?
bltInit.o: 	$(srcdir)/bltInit.c       
	$(CC) -c $(CC_SWITCHES) $(DEF_BLTINIT) $?
bltList.o: 	$(srcdir)/bltList.c
	$(CC) -c $(CC_SWITCHES) $?
bltChain.o: 	$(srcdir)/bltChain.c
	$(CC) -c $(CC_SWITCHES) $?
bltNsUtil.o: 	$(srcdir)/bltNsUtil.c
	$(CC) -c $(CC_SWITCHES) $?
bltParse.o: 	$(srcdir)/bltParse.c
	$(CC) -c $(CC_SWITCHES) $?
bltPs.o: 	$(srcdir)/bltPs.c
	$(CC) -c $(CC_SWITCHES) $?
bltSpline.o: 	$(srcdir)/bltSpline.c
	$(CC) -c $(CC_SWITCHES) $?
bltTable.o: 	$(srcdir)/bltTable.c
	$(CC) -c $(CC_SWITCHES) $?
bltTabset.o: 	$(srcdir)/bltTabset.c
	$(CC) -c $(CC_SWITCHES) $?
bltTed.o: 	$(srcdir)/bltTed.c
	$(CC) -c $(CC_SWITCHES) $?
bltText.o: 	$(srcdir)/bltText.c
	$(CC) -c $(CC_SWITCHES) $?
bltTile.o: 	$(srcdir)/bltTile.c
	$(CC) -c $(CC_SWITCHES) $?
bltTree.o: 	$(srcdir)/bltTree.c
	$(CC) -c $(CC_SWITCHES) $?
bltTri.o: 	$(srcdir)/bltTri.c
	$(CC) -c $(CC_SWITCHES) $?
bltVector.o: 	$(srcdir)/bltVector.c
	$(CC) -c $(CC_SWITCHES) $?
bltWatch.o:	$(srcdir)/bltWatch.c
	$(CC) -c $(CC_SWITCHES) $?
bltWindow.o: 	$(srcdir)/bltWindow.c       
	$(CC) -c $(CC_SWITCHES) $?
bltWinop.o:     $(srcdir)/bltWinop.c
	$(CC) -c $(CC_SWITCHES) $?
bltUnixPipe.o: 	$(srcdir)/bltUnixPipe.c
	$(CC) -c $(CC_SWITCHES) $?
bltUtil.o: 	$(srcdir)/bltUtil.c
	$(CC) -c $(CC_SWITCHES) $?
tkButton.o: 	$(srcdir)/tkButton.c
	$(CC) -c $(CC_SWITCHES) $?
tkFrame.o: 	$(srcdir)/tkFrame.c
	$(CC) -c $(CC_SWITCHES) $?
tkMenubutton.o: $(srcdir)/tkMenubutton.c
	$(CC) -c $(CC_SWITCHES) $?
tkScrollbar.o: 	$(srcdir)/tkScrollbar.c
	$(CC) -c $(CC_SWITCHES) $?
