=== debian/changelog ===
blt82 (2.4o) unstable; urgency=low

  * Initial Release.

 -- Marcus G. Daniels <mgd@swarm.org>  Wed, 23 Feb 2000 18:35:22 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "mgd@swarm.org"
End:
