=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	$(checkdir)
	./configure --prefix=/usr
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	mkdir -p `pwd`/debian/tmp/usr/share
	make install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr install_bindir=/usr/bin scriptdir=`pwd`/debian/tmp/usr/lib/blt2.4 mandir=`pwd`/debian/tmp/usr/share/man
	debstd
	dpkg-gencontrol -pblt82
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
